%define use_ccache 1
%{?_with_ccache: %global use_ccache 1}
%{?_without_ccache: %global use_ccache 0}

Name:           codelite
Version:        12.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Development/Other
Summary:        CodeLite is a powerful open-source, cross platform code editor for C/C++
Summary(de):    CodeLite ist eine leistungsfähiger Open-Source Cross-Plattform Code-Editor für C/C++
URL:            http://sourceforge.net/projects/codelite
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	codelite.desktop
Patch1:		codelite-10.0-lib64_libdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	wxgtk >= 3.0.2 
Requires:	xterm
BuildRequires: 	wxgtk3.0-devel
BuildRequires:	git
BuildRequires:	cmake
BuildRequires:	hunspell-devel
BuildRequires:	libssh-devel < 1.0.0
BuildRequires:	clang-devel
BuildRequires:	sqlite3-devel
BuildRequires:	flex

%description
CodeLite uses a sophisticated, yet intuitive interface which allows 
users to easily create, build and debug complex projects.

%description -l de
CodeLite verfügt über eine professionelle und dennoch intuitive Schnittstelle, die es
Benutzer auf einfache Weise erlaubt zu debuggen und komplexe Projekte zu erstellen.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p0 


%build
mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=Release \
       -DPREFIX=/usr -DENABLE_SFTP=1 -DENABLE_LLDB=0 -DMAKE_DEB=0 -DCMAKE_INSTALL_LIBDIR=%{_lib} \
       -DPLUGINS_DIR="%{_libdir}/codelite" -DWITH_FLEX=1 -DCL_INSTALL_LIBDIR=%{_lib} ..

%make

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/codelite.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE COPYING
%{_bindir}/codelite
%{_bindir}/codelite-cc
%{_bindir}/codelite_cppcheck
%{_bindir}/codelite-echo
%{_bindir}/codelite_exec
%{_bindir}/codelite_fix_files
%{_bindir}/codelite_indexer
%{_bindir}/codelite_kill_children
%{_bindir}/codelite-make
%{_bindir}/codelite-terminal
%{_bindir}/codelite_xterm
%{_datadir}/codelite
%{_datadir}/locale/*/LC_MESSAGES/codelite.mo
%{_desktopdir}/codelite.desktop
%{_iconsdir}/hicolor/*/apps/codelite.png
%{_libdir}/%{name}/lib*.so
# plugins
%{_libdir}/%{name}/AutoSave.so
%{_libdir}/%{name}/CMakePlugin.so
%{_libdir}/%{name}/CallGraph.so
%{_libdir}/%{name}/CodeFormatter.so
%{_libdir}/%{name}/CodeLiteDiff.so
%{_libdir}/%{name}/ContinuousBuild.so
%{_libdir}/%{name}/Copyright.so
%{_libdir}/%{name}/DatabaseExplorer.so
%{_libdir}/%{name}/EditorConfigPlugin.so
%{_libdir}/%{name}/ExternalTools.so
%{_libdir}/%{name}/HelpPlugin.so
%{_libdir}/%{name}/MemCheck.so
%{_libdir}/%{name}/Outline.so
%{_libdir}/%{name}/QMakePlugin.so
%{_libdir}/%{name}/SFTP.so
%{_libdir}/%{name}/SnipWiz.so
%{_libdir}/%{name}/SpellCheck.so
%{_libdir}/%{name}/Subversion.so
%{_libdir}/%{name}/Tail.so
%{_libdir}/%{name}/Tweaks.so
%{_libdir}/%{name}/UnitTestsPP.so
%{_libdir}/%{name}/WebTools.so
%{_libdir}/%{name}/Wizards.so
%{_libdir}/%{name}/WordCompletion.so
%{_libdir}/%{name}/ZoomNavigator.so
%{_libdir}/%{name}/abbreviation.so
%{_libdir}/%{name}/codelitephp.so
%{_libdir}/%{name}/cppchecker.so
%{_libdir}/%{name}/cscope.so
%{_libdir}/%{name}/debuggers/DebuggerGDB.so
%{_libdir}/%{name}/git.so
%{_libdir}/%{name}/wxFormBuilder.so
%{_libdir}/%{name}/PHPLint.so
%{_libdir}/%{name}/PHPRefactoring.so
%{_libdir}/%{name}/SmartCompletion.so
%{_libdir}/%{name}/codelite_vim.so

%{_mandir}/man1/codelite*.1.bz2

%changelog
* Mon Mar 26 2018 ghostbunny <ghostbunny at gmx dot de> 12.0-1pclos2018
- 12.0
- remove patch0 the fix is applied in source

* Fri Sep 22 2017 bb2 <bb2> - 10.0-2pclos2017
- rebuild against updates

* Mon Apr 10 2017 ghostbunny <ghostbunny at gmx dot de> 10.0-1pclos2017
- 10.0
- don't use cmake macro causes build failure
- replace Patch0 and Patch1, now the libraries and plugins are install \
into %{_libdir} and system version of hunspell is detected
- add flex support

* Sun Jan 08 2017 bb <bb> 9.2-2pclos2017
- rebuild for new clang 3.9.1

* Fri Dec 23 2016 ghostbunny <ghostbunny at gmx dot de> 9.2-1pclos2017
- 9.2

* Sun Jul 31 2016 bb <bb> 9.1-2pclos2016
- rebuild for new clang

* Mon Mar 07 2016 ghostbunny <ghostbunny at gmx dot de> 9.1-1pclos2016
- 9.1

* Sat Jan 30 2016 ghostbunny <ghostbunny at gmx dot de> 9.0-1pclos2016
- 9.0
- add BR sqlite3


